/*
 * statsby.h - Screen for view stats by a specified period (day, week, etc.)
 * Copyright (C) 2024  Alexander Rosenberg
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See the LICENSE file for more information.
 */
#ifndef INCLUDED_STATSBY_H
#define INCLUDED_STATSBY_H

#include "datesel.h"

typedef struct {
    Screen parent;
    enum {
        STATS_BY_SELECT_PERIOD = 0,
        STATS_BY_SELECT_START,
        STATS_BY_SHOWING,
    } stage;
    enum {
        STATS_BY_AVG = 0,
        STATS_BY_TEMP,
        STATS_BY_HUMID,
        STATS_BY_NVIEW,
    } view;
    bool need_redraw;
    UtilPeriod period;
    DateSelection ds;
    int offset_scale;
    bool ulimit_reached;
    bool blimit_reached;
} StatsByScreen;

/*
 * Create a new stats by screen. This screen will display data from the database
 * by hour, day, week, month, and year.
 */
StatsByScreen *stats_by_screen_new(void);

#endif
